<template>
  <div
    class="form-control"
    :class="{
      'form-control--float': float
    }"
  >
    <slot />
  </div>
</template>

<script lang="ts" setup>
defineProps({
  float: {
    type: Boolean,
    required: false
  }
})
</script>

<style lang="scss" scoped>
.form-control {
  margin: 1rem 0;

  &--float {
    margin: 2rem 0;
  }
}
</style>
